﻿using HardwareShopDataModels.Enums;
using HardwareShopDataModels.Models;
using System.ComponentModel;
namespace HardwareShopContracts.BindingModels
{
    public class PurchaseBindingModel : IPurchaseModel
    {
        public int Id { get; set; }

        public decimal Sum { get; set; }

        public PurchaseStatus PurchaseStatus { get; set; } = PurchaseStatus.Неизвестен;

        public DateTime? DatePurchase { get; set; }

        public int UserId { get; set; }

        public Dictionary<int, (IBuildModel, int)>? PurchaseBuilds { get; set; }

        public Dictionary<int, (IGoodModel, int)> PurchaseGoods { get; set; } = new();
    }
}
