﻿using HardwareShopDataModels.Models;
using System.ComponentModel;
namespace HardwareShopContracts.ViewModels
{
    public class BuildViewModel : IBuildModel
    {
        public int Id { get; set; }

        [DisplayName("Цена")]
        public decimal Price { get; set; }

        [DisplayName("Название компонента")]
        public string BuildName { get; set; } = string.Empty;

        [DisplayName("Клиент")]
        public string UserEmail { get; set; } = string.Empty;

        public int UserId { get; set; }

        public Dictionary<int, (IComponentModel, int)>? BuildComponents { get; set; }
    }
}
